Mimo V2 Flash

Chat Completions API
mimo-v2-flash
отXiaomiСоздана 21 дек. 2025 г.256K контекст
Chat Completions API

MiMo-V2-Flash is an open-source foundational language model created by Xiaomi, featuring a Mixture-of-Experts architecture with 309 billion total parameters (15 billion active) and a hybrid attention mechanism. It supports hybrid-thinking, offers a 256K context window, and excels in reasoning, coding, and agent-based tasks. Ranking #1 among open-source models worldwide on SWE-bench Verified and Multilingual benchmarks, MiMo-V2-Flash matches the performance of Claude Sonnet 4.5 at just 3.5% of the cost. For best and fastest results when using agentic tools like Claude Code, Cline, or Roo Code, be sure to disable reasoning mode, as the model is extensively optimized for these scenarios.

API-методы и структура запроса

Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.

Chat Completions APIPOST/v1/chat/completions

Пример кода

Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.

Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "model": "mimo-v2-flash",
  "messages": [
    {
      "role": "user",
      "content": "Сколько будет 2 + 2?"
    }
  ]
}'

Параметры

Параметры, доступные в API-запросах
Frequency PenaltyLogit BiasLogprobsMax Completion TokensPresence PenaltyResponse FormatStopTemperatureTop PReasoning EffortToolsTool Choice